> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Proxies Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/proxies
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/proxies:
    get:
      tags:
        - proxies
      summary: List Proxies Route
      operationId: list_proxies_route_api_v1_proxies_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ProxyStatus'
              - type: 'null'
            description: Filter by proxy status (draft|active)
            title: Status
          description: Filter by proxy status (draft|active)
        - name: source
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ProxySource'
              - type: 'null'
            description: Filter by proxy source (auto|manual)
            title: Source
          description: Filter by proxy source (auto|manual)
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Case-insensitive substring match on name
            title: Search
          description: Case-insensitive substring match on name
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ProxyRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProxyStatus:
      type: string
      enum:
        - draft
        - active
      title: ProxyStatus
    ProxySource:
      type: string
      enum:
        - auto
        - manual
      title: ProxySource
    PaginatedResponse_ProxyRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProxyRead'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[ProxyRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProxyRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        org_id:
          type: string
          format: uuid
          title: Org Id
        owner_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Owner Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
        intent:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent
        status:
          $ref: '#/components/schemas/ProxyStatus'
        source:
          $ref: '#/components/schemas/ProxySource'
        provider_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Provider Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/ProxyProviderSummary'
            - type: 'null'
        proxy_url:
          type: string
          title: Proxy Url
          readOnly: true
      type: object
      required:
        - id
        - created_at
        - updated_at
        - org_id
        - owner_id
        - name
        - description
        - system_prompt
        - intent
        - status
        - source
        - provider_id
        - provider
        - proxy_url
      title: ProxyRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProxyProviderSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
      type: object
      required:
        - id
        - name
        - provider
        - model
      title: ProxyProviderSummary

````